﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace HtmlWpfRtf.Common {
    /// <summary>
    /// Interaction logic for WShowMemo.xaml
    /// </summary>
    public partial class WShowMemo : Window {

        private String caption = "";
        private String infotext = "";

        public bool trotzdemStarten = false;

        public WShowMemo(Window parent, String caption, String infotext) {
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner            
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            this.infotext = infotext;
            this.caption = caption;
        }

        private void Window_Loaded(Object sender, RoutedEventArgs e) {
            Title = caption;
            labelTitel.Content = caption;
            tEditor.Text = infotext;
            tEditor.Focus();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e) {
            if (Keyboard.IsKeyDown(Key.Return)) {
                bnOk_Click(sender, e);
            }  
        }

        private void Window_Closing(Object sender, System.ComponentModel.CancelEventArgs e) {
            
            trotzdemStarten = chkTrotzdemStarten.IsChecked == true;
        }


        private void bnOk_Click(Object sender, RoutedEventArgs e) {
            Close();
        }
    }
}
